import * as firebase from 'firebase/app';
import { User } from './User';
export class Parrain extends User
{
  // uid: string;
  familyname: string;
  firstname: string;
  sex: string;
  birthday: Date;
  // email: string;
  // emailVerified: boolean;
  // password:string;
  telephone: string;
  idCard: string;
  secretCode: string;
  // status: string;

  constructor() {
    super();
    this.uid = '';
    this.familyname = '';
    this.firstname = '';
    this.sex = '';
    this.birthday = new Date();
    this.email = '';
    this.emailVerified = false;
    this.password = '';
    this.telephone = '';
    this.idCard = '';
    this.secretCode = '';
    this.status = '';
  }

  /*
  addParrain(addStatus, addEmail, addFamilyname, addFirstname) {
    this.uid = '';
    this.email = addEmail;
    this.emailVerified = false;
    this.password = '';
    this.familyname = addFamilyname;
    this.firstname = addFirstname;
    this.username = '';
    this.birthday = new Date();
    this.idCard = '';
    this.secretCode = '';
    this.status = addStatus;
  }
  welcome() {
    console.log('Hi, ' + this.firstname + '!');
  }
  */
}
